/*
Copyright 2025 New Vector Ltd.

SPDX-License-Identifier: AGPL-3.0-only OR GPL-3.0-only OR LicenseRef-Element-Commercial
Please see LICENSE files in the repository root for full details.
*/
import path, { dirname } from "node:path";
import { fileURLToPath } from "node:url";
import { loadJsonFile } from "./utils.js";
const __dirname = dirname(fileURLToPath(import.meta.url));
export function readBuildConfig() {
    const packageJson = loadJsonFile(path.join(__dirname, "..", "package.json"));
    return {
        appId: packageJson["electron_appId"] || "im.riot.app",
        protocol: packageJson["electron_protocol"] || "io.element.desktop",
    };
}
